//  Created by Joe Becker on 3/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.

#import <Cocoa/Cocoa.h>


@interface GmtShipTrackRecord : NSObject {
	double time;
	double lat;
	double lon;
	double gt; 
	double gs; 
	double pt;
	double gf; 
	double tt; 
	double tc; 
	double mt; 
	double ma; 
	double pm;
	double cc;
	int flag;	//FIXME: need to make flag some sort of bit fiddle
	
	int	tag;
	
	NSArray *fieldList;

}

- (id)initTo:(double)aVal;
- (id)initFromString:(NSString *)str;
- (NSMutableString *)stringRep;

- (id)setTag:(int)aTag;
- (id)setFlag:(int)aVal;

- (double)time;
- (double)lat;
- (double)lon;
- (double)gt;
- (double)gs;
- (double)pt;
- (double)gf;
- (double)tt;
- (double)tc;
- (double)mt;
- (double)ma;
- (double)pm;
- (double)cc;
- (int)flag;

- (double)data:(int)fieldNum;
- (id)setData:(int)fieldNum :(double)aVal;
- (int)predictedFieldForActualField:(int)actualField;
- (double)predictedData:(int)fieldNum;

@end

#define TIME_FIELD	0
#define LAT_FIELD	1
#define LON_FIELD	2
#define GT_FIELD	3
#define GS_FIELD	4
#define PT_FIELD	5
#define GF_FIELD	6
#define TT_FIELD	7
#define TC_FIELD	8
#define MT_FIELD	9
#define MA_FIELD	10
#define PM_FIELD	11
#define CC_FIELD	12
#define FLAG_FIELD	13

